Interface description: Generate images synchronously, and return the generation results based on the selected model and prompt words.
Before calling this interface, please request the “Image Generation Model” interface (GET /api/ai/models/image/generation) to obtain the currently available model list and the size, quality, style and price supported by each model, and then fill in the parameters of this interface accordingly.
The image is generated as Wen Sheng Picture: Generate a new image only through text prompts, without passing in pictures. If you need to modify or redraw based on existing images, please use the “Edit Image” interface.
If you are already using the OpenAI SDK or ecological tools, you can use the OpenAI compatible endpoint “OpenAI Image Generation” instead.
POST
/
api
/
ai
/
image
/
generate
Generate Image
curl --request POST \ --url https://aitoearn.cn/api/ai/image/generate \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --data '{ "prompt": "A cute orange cat sitting by a window, soft natural light", "model": "gpt-image-2"}'
"A cute orange cat sitting by a window, soft natural light"
model
string
required
Image generation model name. First call the "Image Generation Model" interface (GET /api/ai/models/image/generation) and pass in the data[n].name returned by it; the size, quality, style and price supported by each model shall be subject to the return of this interface.
Example:
"gpt-image-2"
quality
string
Image quality. The optional values vary from model to model, and are subject to the data[n].qualities returned by the "Image Generation Model" interface.
Example:
"low"
response_format
enum<string>
Return format
Available options:
url,
b64_json
Example:
"url"
size
string
Image size. Available values vary by model; use data[n].sizes from Image Generation Models. Pricing varies by size in data[n].pricing. The example uses 1024x1024, which has the lowest price of 1 credit.
Example:
"1024x1024"
Response
200 - application/json
The request has been processed by the service. Business success is determined by whether the response body has code === 0.
code
integer
required
Business status code. 0 means success; non-zero means a business error.
message
string
required
Response message.
data
object
Hide child attributes
data.created
number
required
Create timestamp
data.list
object[]
required
Generated image list
Hide child attributes
data.list.url
string
Image URL
data.list.b64_json
string
base64 encoded image
data.list.revised_prompt
string
Revised prompt words
data.usage
object
token usage
Hide child attributes
data.usage.input_tokens
number
Enter the number of tokens
data.usage.output_tokens
number
Output the number of tokens
data.usage.total_tokens
number
Total number of tokens
data.background
string
background
data.output_format
string
Output format
data.quality
string
Quality level
data.size
string
Image size
requestId
string
Request ID.
timestamp
integer
Error response timestamp in Unix milliseconds.
⌘I
Generate Image
curl --request POST \ --url https://aitoearn.cn/api/ai/image/generate \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --data '{ "prompt": "A cute orange cat sitting by a window, soft natural light", "model": "gpt-image-2"}'
{"docsConfig":{"theme":"luma","$schema":"https://mintlify.com/docs.json","name":"AiToEarn Open Platform","description":"AiToEarn 开放平台文档","colors":{"primary":"#A989FF","light":"#B8A1FF","dark":"#8B63F7"},"logo":{"light":"https://mintcdn.com/aitoearn/kGrHrvymy8zxbAqE/assets/logo/logo-light.png?fit=max\u0026auto=format\u0026n=kGrHrvymy8zxbAqE\u0026q=85\u0026s=9328b13457837280719d93e4b04a2065","dark":"https://mintcdn.com/aitoearn/kGrHrvymy8zxbAqE/assets/logo/logo-dark.png?fit=max\u0026auto=format\u0026n=kGrHrvymy8zxbAqE\u0026q=85\u0026s=f1f0a9eeaa59400547ba354f99441d91","href":"/en/home"},"favicon":"https://mintcdn.com/aitoearn/kccGWRJU0qczBwCa/favicon.svg?fit=max\u0026auto=format\u0026n=kccGWRJU0qczBwCa\u0026q=85\u0026s=d3bd4ea8af9d51e155c170481f8c3e9a","api":{"params":{"expanded":"all"},"playground":{"display":"interactive"},"examples":{"defaults":"required","languages":["curl","python","javascript","go"],"prefill":true,"autogenerate":true},"url":"full"},"appearance":{"default":"system","strict":false},"footer":{"socials":{"github":"https://github.com/yikart/AiToEarn"}},"icons":{"library":"lucide"},"errors":{"404":{"redirect":false,"title":"页面未找到","description":"没有找到对应文档。你可以返回[首页](/zh/home),或查看[API Key 获取教程](/zh/use/api-key)。"}},"contextual":{"options":["copy","view","download-spec"],"display":"header"},"interaction":{"drilldown":false},"metadata":{"timestamp":true},"styling":{"latex":false},"navigation":{"languages":[{"language":"zh","default":true,"navbar":{"links":[{"href":"https://github.com/yikart/AiToEarn","label":"GitHub","type":"github"}],"primary":{"type":"button","label":"前往 AiToEarn","href":"https://aitoearn.cn/"}},"href":"zh/use/introduction"},{"language":"en","navbar":{"links":[{"href":"https://github.com/yikart/AiToEarn","label":"GitHub","type":"github"}],"primary":{"type":"button","label":"Go to AiToEarn","href":"https://aitoearn.ai/"}},"href":"en/use"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"aitoearn","hasAudioNarration":false,"actualSubdomain":"aitoearn","customDomains":["docs.aitoearn.ai"],"gitSource":{"type":"github","owner":"yikart","repo":"aitoearn-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6afd62f237566762f1b8ce0e","clientVersion":"0.0.4227","searchFilterCounts":[{"language":"en","tag":"API Docs","count":80},{"language":"en","tag":"Endpoint Groups","count":80},{"language":"zh","tag":"API 文档","count":80},{"language":"zh","tag":"接口分组","count":80},{"language":"en","tag":"Help Docs","count":31},{"language":"zh","tag":"帮助文档","count":31},{"language":"en","tag":"AI Services/Video Generation","count":18},{"language":"zh","tag":"AI 服务/视频生成","count":18},{"language":"en","tag":"Social Platforms","count":16},{"language":"zh","tag":"社交平台","count":16},{"language":"en","tag":"Channel Management/Publishing","count":14},{"language":"zh","tag":"渠道管理/内容发布","count":14},{"language":"en","tag":"Use","count":13},{"language":"zh","tag":"使用","count":13},{"language":"en","tag":"Virtual portrait assets","count":10},{"language":"zh","tag":"虚拟人像素材","count":10},{"language":"en","tag":"AI Services/Agent","count":9},{"language":"en","tag":"AI Services/Image Generation","count":9},{"language":"zh","tag":"AI 服务/Agent","count":9},{"language":"zh","tag":"AI 服务/图像生成","count":9}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"control","enabled":true,"payload":{"type":"string","value":"control"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"mintlify-overrides/home-nav-state.css","content":"html[data-current-path=\"/home\"] nav[aria-label=\"Main\"] a,html[data-current-path=\"/zh/home\"] nav[aria-label=\"Main\"] a,html[data-current-path=\"/en/home\"] nav[aria-label=\"Main\"] a{color:rgb(var(--gray-600))!important;background:transparent none!important;box-shadow:none!important}html.dark[data-current-path=\"/home\"] nav[aria-label=\"Main\"] a,html.dark[data-current-path=\"/zh/home\"] nav[aria-label=\"Main\"] a,html.dark[data-current-path=\"/en/home\"] nav[aria-label=\"Main\"] a{color:rgb(var(--gray-400))!important;background:transparent none!important;box-shadow:none!important}html[data-current-path=\"/home\"] nav[aria-label=\"Main\"] a:hover,html[data-current-path=\"/zh/home\"] nav[aria-label=\"Main\"] a:hover,html[data-current-path=\"/en/home\"] nav[aria-label=\"Main\"] a:hover{color:rgb(var(--gray-900))!important;background:rgb(var(--gray-950) / 0.03)!important}html.dark[data-current-path=\"/home\"] nav[aria-label=\"Main\"] a:hover,html.dark[data-current-path=\"/zh/home\"] nav[aria-label=\"Main\"] a:hover,html.dark[data-current-path=\"/en/home\"] nav[aria-label=\"Main\"] a:hover{color:rgb(var(--gray-200))!important;background:rgb(255 255 255 / 0.03)!important}"},{"filePath":"mintlify-overrides/sidebar-width.css","content":"@media (min-width: 1024px){#sidebar-content{width:17rem}html:not([data-page-mode=\"custom\"]):has(#sidebar-content) #body-content{padding-left:17rem}html:not([data-page-mode=\"custom\"]):has(#sidebar-content) #content-area{margin-left:max(0px, calc(50vw - 348px - 17rem))}html:not([data-page-mode=\"custom\"]):has(#sidebar-content) #navigation-items{padding-left:0.75rem;padding-right:0.75rem}}"}]}
{"page":{"pagePath":"en/api-reference/post-api-ai-image-generate","slug":"/en/api-reference/post-api-ai-image-generate","pageMetadata":{"title":"Generate Image","description":"Interface description: Generate images synchronously, and return the generation results based on the selected model and prompt words.\n\nBefore calling this interface, please request the [\"Image Generation Model\"](/en/api-reference/get-api-ai-models-image-generation) interface (`GET /api/ai/models/image/generation`) to obtain the currently available model list and the size, quality, style and price supported by each model, and then fill in the parameters of this interface accordingly.\n\nThe image is generated as **Wen Sheng Picture**: Generate a new image only through text prompts, without passing in pictures. If you need to modify or redraw based on existing images, please use the [\"Edit Image\"](/en/api-reference/post-api-ai-image-edit) interface.\n\nIf you are already using the OpenAI SDK or ecological tools, you can use the OpenAI compatible endpoint [\"OpenAI Image Generation\"](/en/api-reference/post-api-ai-images-generations) instead.","deprecated":false,"version":null,"sidebarTitle":"Generate Image","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/image/generate","href":"/en/api-reference/post-api-ai-image-generate","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n a: \"a\",\n code: \"code\",\n p: \"p\",\n strong: \"strong\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Interface description: Generate images synchronously, and return the generation results based on the selected model and prompt words.\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"Before calling this interface, please request the \", _jsx(_components.a, {\n href: \"/en/api-reference/get-api-ai-models-image-generation\",\n children: \"“Image Generation Model”\"\n }), \" interface (\", _jsx(_components.code, {\n children: \"GET /api/ai/models/image/generation\"\n }), \") to obtain the currently available model list and the size, quality, style and price supported by each model, and then fill in the parameters of this interface accordingly.\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"The image is generated as \", _jsx(_components.strong, {\n children: \"Wen Sheng Picture\"\n }), \": Generate a new image only through text prompts, without passing in pictures. If you need to modify or redraw based on existing images, please use the \", _jsx(_components.a, {\n href: \"/en/api-reference/post-api-ai-image-edit\",\n children: \"“Edit Image”\"\n }), \" interface.\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"If you are already using the OpenAI SDK or ecological tools, you can use the OpenAI compatible endpoint \", _jsx(_components.a, {\n href: \"/en/api-reference/post-api-ai-images-generations\",\n children: \"“OpenAI Image Generation”\"\n }), \" instead.\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Generate Image","description":"Interface description: Generate images synchronously, and return the generation results based on the selected model and prompt words.\n\nBefore calling this interface, please request the [\"Image Generation Model\"](/en/api-reference/get-api-ai-models-image-generation) interface (`GET /api/ai/models/image/generation`) to obtain the currently available model list and the size, quality, style and price supported by each model, and then fill in the parameters of this interface accordingly.\n\nThe image is generated as **Wen Sheng Picture**: Generate a new image only through text prompts, without passing in pictures. If you need to modify or redraw based on existing images, please use the [\"Edit Image\"](/en/api-reference/post-api-ai-image-edit) interface.\n\nIf you are already using the OpenAI SDK or ecological tools, you can use the OpenAI compatible endpoint [\"OpenAI Image Generation\"](/en/api-reference/post-api-ai-images-generations) instead.","deprecated":false,"version":null,"sidebarTitle":"Generate Image","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/image/generate","href":"/en/api-reference/post-api-ai-image-generate","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/aitoearn/839abaa7c36feed1/mintlify-overrides/home-nav-state.js","/_mintlify/custom/aitoearn/a22913f768343522/mintlify-overrides/hide-auth-request-headers.js"],"openApiReferenceData":{"operation":{"summary":"Generate Image","deprecated":false,"description":"Interface description: Generate images synchronously, and return the generation results based on the selected model and prompt words.\n\nBefore calling this interface, please request the [\"Image Generation Model\"](/en/api-reference/get-api-ai-models-image-generation) interface (`GET /api/ai/models/image/generation`) to obtain the currently available model list and the size, quality, style and price supported by each model, and then fill in the parameters of this interface accordingly.\n\nThe image is generated as **Wen Sheng Picture**: Generate a new image only through text prompts, without passing in pictures. If you need to modify or redraw based on existing images, please use the [\"Edit Image\"](/en/api-reference/post-api-ai-image-edit) interface.\n\nIf you are already using the OpenAI SDK or ecological tools, you can use the OpenAI compatible endpoint [\"OpenAI Image Generation\"](/en/api-reference/post-api-ai-images-generations) instead.","operationId":"ImageController_generateImage","tags":["AI Services/Image Generation"],"parameters":[],"requestBody":"79b25037-7f09-4b4a-88b4-acd03b3575b1","responses":{"200":"077802df-f794-4fde-bdbd-0043e43f432b"},"security":["d8fac56c-eeee-4dd3-8ec5-b6a8dfc043ad"],"x-mint":{"href":"/en/api-reference/post-api-ai-image-generate","metadata":{"title":"Generate Image","sidebarTitle":"Generate Image"}},"x-aitoearn-backend":{"controller":"E:/vincent/works/yika/project/main/aitoearn-monorepo/apps/aitoearn-ai/src/core/ai/image/image.controller.ts","controllerMethod":"generateImage","services":[{"property":"imageService","type":"ImageService","file":"E:/vincent/works/yika/project/main/aitoearn-monorepo/apps/aitoearn-ai/src/core/ai/image/image.service.ts","method":"userGeneration"}],"responseCodes":[{"name":"InvalidModel","code":12300,"message":"Invalid AI model"}],"rawResponse":false},"method":"post","type":"path","servers":["57ad866f-30c3-4af4-80f2-039608641992","562e7ea2-2e59-4270-bd1a-d35df0de6fce"],"path":"/api/ai/image/generate","baseUrlOptions":["https://aitoearn.cn","https://aitoearn.ai"],"title":"Generate Image","codeSamples":[],"requestExampleLanguages":["bash","python","javascript","go"],"requiredOnlyExamples":true,"requestExampleType":"generated","responseExampleType":"generated","prefillPlaygroundWithExample":true,"prefillPlaygroundExamples":[{"body.prompt":"A cute orange cat sitting by a window, soft natural light","body.model":"gpt-image-2","body.quality":"low","body.response_format":"url","body.size":"1024x1024"}],"urlDisplay":"full"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"prompt":{"type":"string","minLength":1,"maxLength":4000,"description":"Image description tips","example":"A cute orange cat sitting by a window, soft natural light","isRequired":true,"uniqueKey":"prompt","typeLabel":"string"},"model":{"type":"string","description":"Image generation model name. First call the [\"Image Generation Model\"](/en/api-reference/get-api-ai-models-image-generation) interface (`GET /api/ai/models/image/generation`) and pass in the `data[n].name` returned by it; the size, quality, style and price supported by each model shall be subject to the return of this interface.","example":"gpt-image-2","isRequired":true,"uniqueKey":"model","typeLabel":"string"},"quality":{"description":"Image quality. The optional values vary from model to model, and are subject to the `data[n].qualities` returned by the [\"Image Generation Model\"](/en/api-reference/get-api-ai-models-image-generation) interface.","type":"string","example":"low","uniqueKey":"quality","typeLabel":"string"},"response_format":{"description":"Return format","type":"string","enum":["url","b64_json"],"example":"url","uniqueKey":"response_format","typeLabel":"enum\u003cstring>"},"size":{"description":"Image size. Available values vary by model; use `data[n].sizes` from [Image Generation Models](/en/api-reference/get-api-ai-models-image-generation). Pricing varies by size in `data[n].pricing`. The example uses `1024x1024`, which has the lowest price of 1 credit.","type":"string","example":"1024x1024","uniqueKey":"size","typeLabel":"string"}},"required":["prompt","model"],"uniqueKey":"","typeLabel":"object"},"examples":{"lowest-cost":{"title":"lowest-cost","summary":"Lowest-cost example","value":{"prompt":"A cute orange cat sitting by a window, soft natural light","model":"gpt-image-2","quality":"low","response_format":"url","size":"1024x1024"}}},"exampleType":"examples"}},"required":true,"exampleType":"examples"},"responses":{"077802df-f794-4fde-bdbd-0043e43f432b":{"description":"The request has been processed by the service. Business success is determined by whether the response body has code === 0.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer","description":"Business status code. 0 means success; non-zero means a business error.","isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"message":{"type":"string","description":"Response message.","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"data":{"type":"object","properties":{"created":{"type":"number","description":"Create timestamp","isRequired":true,"uniqueKey":"data.created","typeLabel":"number"},"list":{"type":"array","items":{"type":"object","properties":{"url":{"description":"Image URL","type":"string","uniqueKey":"data.list.items.[INDEX].url","typeLabel":"string"},"b64_json":{"description":"base64 encoded image","type":"string","uniqueKey":"data.list.items.[INDEX].b64_json","typeLabel":"string"},"revised_prompt":{"description":"Revised prompt words","type":"string","uniqueKey":"data.list.items.[INDEX].revised_prompt","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"data.list.items.[INDEX]","typeLabel":"object"},"description":"Generated image list","isRequired":true,"uniqueKey":"data.list","typeLabel":"object[]"},"usage":{"description":"token usage","type":"object","properties":{"input_tokens":{"description":"Enter the number of tokens","type":"number","uniqueKey":"data.usage.input_tokens","typeLabel":"number"},"output_tokens":{"description":"Output the number of tokens","type":"number","uniqueKey":"data.usage.output_tokens","typeLabel":"number"},"total_tokens":{"description":"Total number of tokens","type":"number","uniqueKey":"data.usage.total_tokens","typeLabel":"number"}},"additionalProperties":false,"uniqueKey":"data.usage","typeLabel":"object"},"background":{"type":"string","description":"background","uniqueKey":"data.background","typeLabel":"string"},"output_format":{"type":"string","description":"Output format","uniqueKey":"data.output_format","typeLabel":"string"},"quality":{"type":"string","description":"Quality level","uniqueKey":"data.quality","typeLabel":"string"},"size":{"type":"string","description":"Image size","uniqueKey":"data.size","typeLabel":"string"}},"required":["created","list"],"additionalProperties":false,"uniqueKey":"data","typeLabel":"object"},"requestId":{"type":"string","description":"Request ID.","uniqueKey":"requestId","typeLabel":"string"},"timestamp":{"type":"integer","description":"Error response timestamp in Unix milliseconds.","uniqueKey":"timestamp","typeLabel":"integer"}},"required":["code","message"],"uniqueKey":"","typeLabel":"object"},"examples":{"success":{"title":"success","summary":"Success","value":{"code":0,"message":"Request succeeded","data":{"created":1,"list":[{"url":"string","b64_json":"string","revised_prompt":"string"}],"usage":{"input_tokens":1,"output_tokens":1,"total_tokens":1},"background":"string","output_format":"string","quality":"string","size":"string"}}},"validationFailed10002":{"title":"validationFailed10002","summary":"ValidationFailed (10002)","value":{"code":10002,"message":"Parameter validation failed","data":{},"timestamp":1772099056662}},"unauthorized401":{"title":"unauthorized401","summary":"Unauthenticated or invalid API Key","value":{"code":401,"message":"Unauthorized","data":{},"timestamp":1772099056662}},"invalidModel12300":{"title":"invalidModel12300","summary":"InvalidModel (12300)","value":{"code":12300,"message":"Invalid AI model","data":{},"timestamp":1772099056662}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"d8fac56c-eeee-4dd3-8ec5-b6a8dfc043ad":{"apikey-header-X-Api-Key":{"type":"apiKey","in":"header","name":"X-Api-Key","description":"Need to get API Key from AiToEarn. Click to go to [\"API Key Obtaining Tutorial\"](/en/use/api-key).","scopes":[],"schemeName":"apikey-header-X-Api-Key"}}},"servers":{"57ad866f-30c3-4af4-80f2-039608641992":{"url":"https://aitoearn.cn","description":"China site"},"562e7ea2-2e59-4270-bd1a-d35df0de6fce":{"url":"https://aitoearn.ai","description":"International site"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"X-Api-Key","description":"Need to get API Key from AiToEarn. Click to go to [\"API Key Obtaining Tutorial\"](/en/use/api-key).","scopes":[],"schemeName":"apikey-header-X-Api-Key"},"schema":{"title":"X-Api-Key","type":"string","description":"Need to get API Key from AiToEarn. Click to go to [\"API Key Obtaining Tutorial\"](/en/use/api-key).","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"apikey-header-X-Api-Key","name":"X-Api-Key"}],"title":"apikey-header-X-Api-Key"}]},"originalFileLocation":"openapi/en/aitoearn.openapi.json"},"subdomain":"aitoearn","siteName":"AiToEarn Open Platform","title":"Generate Image - AiToEarn Open Platform","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"zh":{"href":"/api-reference/post-api-ai-image-generate","matchLevel":1},"en":{"href":"/en/api-reference/post-api-ai-image-generate","matchLevel":0}}},"originalFileLocation":"en/api-reference/post-api-ai-image-generate.mdx","locale":"en"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Interface description: Generate images synchronously, and return the generation results based on the selected model and prompt words. Before calling this interface, please request the \u0026quot;Image Generation Model\u0026quot; interface (GET /api/ai/models/image/generation) to obtain the currently available model list and the size, quality, style and price supported by each model, and then fill in the parameters of this interface accordingly. The image is generated as Wen Sheng Picture: Generate a new image only through text prompts, without passing in pictures. If you need to modify or redraw based on existing images, please use the \u0026quot;Edit Image\u0026quot; interface. If you are already using the OpenAI SDK or ecological tools, you can use the OpenAI compatible endpoint \u0026quot;OpenAI Image Generation\u0026quot; instead.\">\u003cmeta data-mint-head name=\"application-name\" content=\"AiToEarn Open Platform\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/aitoearn/fC9w3JuXYc3Wbg6o/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/aitoearn/fC9w3JuXYc3Wbg6o/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/aitoearn/fC9w3JuXYc3Wbg6o/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/aitoearn/fC9w3JuXYc3Wbg6o/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/aitoearn/fC9w3JuXYc3Wbg6o/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/aitoearn/fC9w3JuXYc3Wbg6o/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/aitoearn/fC9w3JuXYc3Wbg6o/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/aitoearn/fC9w3JuXYc3Wbg6o/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/aitoearn/fC9w3JuXYc3Wbg6o/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Generate Image - AiToEarn Open Platform\">\u003cmeta data-mint-head property=\"og:description\" content=\"Interface description: Generate images synchronously, and return the generation results based on the selected model and prompt words. Before calling this interface, please request the \u0026quot;Image Generation Model\u0026quot; interface (GET /api/ai/models/image/generation) to obtain the currently available model list and the size, quality, style and price supported by each model, and then fill in the parameters of this interface accordingly. The image is generated as Wen Sheng Picture: Generate a new image only through text prompts, without passing in pictures. If you need to modify or redraw based on existing images, please use the \u0026quot;Edit Image\u0026quot; interface. If you are already using the OpenAI SDK or ecological tools, you can use the OpenAI compatible endpoint \u0026quot;OpenAI Image Generation\u0026quot; instead.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"AiToEarn Open Platform\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.aitoearn.ai/en/api-reference/post-api-ai-image-generate\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://aitoearn.mintlify.site/_mintlify/api/og/v2?division=AI+Services%2FImage+Generation\u0026amp;title=Generate+Image\u0026amp;description=Interface+description%3A+Generate+images+synchronously%2C+and+return+the+generation+results+based+on+the+selected+model+and+prompt+words.%0A%0ABefore+calling+this+inter\u0026amp;theme=b262227f5673722e38438a70\u0026amp;signature=a67de9c075918e0181ddd41e11f275dd346279b9e69908435f59e4f2002fbae9\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Generate Image - AiToEarn Open Platform\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Interface description: Generate images synchronously, and return the generation results based on the selected model and prompt words. Before calling this interface, please request the \u0026quot;Image Generation Model\u0026quot; interface (GET /api/ai/models/image/generation) to obtain the currently available model list and the size, quality, style and price supported by each model, and then fill in the parameters of this interface accordingly. The image is generated as Wen Sheng Picture: Generate a new image only through text prompts, without passing in pictures. If you need to modify or redraw based on existing images, please use the \u0026quot;Edit Image\u0026quot; interface. If you are already using the OpenAI SDK or ecological tools, you can use the OpenAI compatible endpoint \u0026quot;OpenAI Image Generation\u0026quot; instead.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://aitoearn.mintlify.site/_mintlify/api/og/v2?division=AI+Services%2FImage+Generation\u0026amp;title=Generate+Image\u0026amp;description=Interface+description%3A+Generate+images+synchronously%2C+and+return+the+generation+results+based+on+the+selected+model+and+prompt+words.%0A%0ABefore+calling+this+inter\u0026amp;theme=b262227f5673722e38438a70\u0026amp;signature=a67de9c075918e0181ddd41e11f275dd346279b9e69908435f59e4f2002fbae9\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/aitoearn/fC9w3JuXYc3Wbg6o/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"AiToEarn Open Platform\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#A989FF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.aitoearn.ai/en/api-reference/post-api-ai-image-generate\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/en/api-reference/post-api-ai-image-generate.md\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"en\" href=\"https://docs.aitoearn.ai/en/api-reference/post-api-ai-image-generate\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"zh\" href=\"https://docs.aitoearn.ai/api-reference/post-api-ai-image-generate\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"x-default\" href=\"https://docs.aitoearn.ai/api-reference/post-api-ai-image-generate\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.aitoearn.ai/#organization\",\"name\":\"AiToEarn Open Platform\",\"url\":\"https://docs.aitoearn.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/aitoearn/kGrHrvymy8zxbAqE/assets/logo/logo-light.png?fit=max\u0026auto=format\u0026n=kGrHrvymy8zxbAqE\u0026q=85\u0026s=9328b13457837280719d93e4b04a2065\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.aitoearn.ai#website\",\"name\":\"AiToEarn Open Platform\",\"url\":\"https://docs.aitoearn.ai\",\"publisher\":{\"@id\":\"https://docs.aitoearn.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.aitoearn.ai/en/api-reference/post-api-ai-image-generate#webpage\",\"url\":\"https://docs.aitoearn.ai/en/api-reference/post-api-ai-image-generate\",\"name\":\"Generate Image\",\"description\":\"Interface description: Generate images synchronously, and return the generation results based on the selected model and prompt words. Before calling this interface, please request the \\\"Image Generation Model\\\" interface (GET /api/ai/models/image/generation) to obtain the currently available model list and the size, quality, style and price supported by each model, and then fill in the parameters of this interface accordingly. The image is generated as Wen Sheng Picture: Generate a new image only through text prompts, without passing in pictures. If you need to modify or redraw based on existing images, please use the \\\"Edit Image\\\" interface. If you are already using the OpenAI SDK or ecological tools, you can use the OpenAI compatible endpoint \\\"OpenAI Image Generation\\\" instead.\",\"isPartOf\":{\"@id\":\"https://docs.aitoearn.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.aitoearn.ai/en/api-reference/post-api-ai-image-generate#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.aitoearn.ai/en/api-reference/post-api-ai-image-generate#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Endpoint Groups\",\"item\":\"https://docs.aitoearn.ai/en/api\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"AI Services/Image Generation\",\"item\":\"https://docs.aitoearn.ai/en/api-reference/get-api-ai-models-image-generation\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Generate Image\",\"item\":\"https://docs.aitoearn.ai/en/api-reference/post-api-ai-image-generate\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.aitoearn.ai/en/api-reference/post-api-ai-image-generate#apireference\",\"headline\":\"Generate Image\",\"name\":\"Generate Image\",\"description\":\"Interface description: Generate images synchronously, and return the generation results based on the selected model and prompt words. Before calling this interface, please request the \\\"Image Generation Model\\\" interface (GET /api/ai/models/image/generation) to obtain the currently available model list and the size, quality, style and price supported by each model, and then fill in the parameters of this interface accordingly. The image is generated as Wen Sheng Picture: Generate a new image only through text prompts, without passing in pictures. If you need to modify or redraw based on existing images, please use the \\\"Edit Image\\\" interface. If you are already using the OpenAI SDK or ecological tools, you can use the OpenAI compatible endpoint \\\"OpenAI Image Generation\\\" instead.\",\"url\":\"https://docs.aitoearn.ai/en/api-reference/post-api-ai-image-generate\",\"mainEntityOfPage\":{\"@id\":\"https://docs.aitoearn.ai/en/api-reference/post-api-ai-image-generate#webpage\"},\"publisher\":{\"@id\":\"https://docs.aitoearn.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.aitoearn.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"AiToEarn Open Platform\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"AiToEarn Open Platform\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/en/api-reference/post-api-ai-image-generate.md","siteName":"AiToEarn Open Platform","nav":{"global":null,"languages":[{"language":"zh","default":true,"navbar":{"links":[{"href":"https://github.com/yikart/AiToEarn","label":"GitHub","type":"github"}],"primary":{"type":"button","label":"前往 AiToEarn","href":"https://aitoearn.cn/"}},"pages":[{"title":"zh","href":"/api-reference/post-api-ai-image-generate"}]},{"language":"en","navbar":{"links":[{"href":"https://github.com/yikart/AiToEarn","label":"GitHub","type":"github"}],"primary":{"type":"button","label":"Go to AiToEarn","href":"https://aitoearn.ai/"}},"tabs":[{"tab":"Home","hidden":true,"pages":[{"title":"Home","href":"/en/home","hidden":true}]},{"tab":"Use","icon":"book-open","pages":[{"title":"Use","href":"/en/use"}]},{"tab":"API Docs","icon":"code","groups":[{"group":"Endpoint Groups","pages":[{"group":"Overview","expanded":false,"pages":[{"title":"API Docs","href":"/en/api"}]},{"group":"AI Services/Video Generation","expanded":false,"pages":[{"title":"Video Generation Models","deprecated":false,"version":null,"sidebarTitle":"Video Generation Models","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/models/video/generation","href":"/en/api-reference/get-api-ai-models-video-generation"},{"title":"Generate Video","deprecated":false,"version":null,"sidebarTitle":"Generate Video","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/video/generations","href":"/en/api-reference/post-api-ai-video-generations"},{"title":"Video Task List","deprecated":false,"version":null,"sidebarTitle":"Video Task List","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/video/generations","href":"/en/api-reference/get-api-ai-video-generations"},{"title":"Video Task Status","deprecated":false,"version":null,"sidebarTitle":"Video Task Status","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/video/generations/{taskId}","href":"/en/api-reference/get-api-ai-video-generations-task-id"},{"title":"Create Volcengine-format video generation task","deprecated":null,"version":null,"sidebarTitle":"Create Volcengine-format video generation task","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/v3/contents/generations/tasks","href":"/en/api-reference/post-api-ai-v3-contents-generations-tasks"},{"title":"Query Volcengine-format video task","deprecated":null,"version":null,"sidebarTitle":"Query Volcengine-format video task","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/v3/contents/generations/tasks/{taskId}","href":"/en/api-reference/get-api-ai-v3-contents-generations-tasks-task-id"},{"group":"Real-person verification","expanded":false,"pages":[{"title":"Create real-person verification session","deprecated":null,"version":null,"sidebarTitle":"Create real-person verification session","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/volcengine/assets/visual-validation-sessions","href":"/en/api-reference/post-api-ai-volcengine-assets-visual-validation-sessions"},{"title":"Complete real-person verification","deprecated":null,"version":null,"sidebarTitle":"Complete real-person verification","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/volcengine/assets/visual-validation-sessions/{bytedToken}/complete","href":"/en/api-reference/post-api-ai-volcengine-assets-visual-validation-sessions-byted-token-complete"}]},{"group":"Virtual portrait assets","expanded":false,"pages":[{"title":"Create virtual portrait group","deprecated":null,"version":null,"sidebarTitle":"Create virtual portrait group","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/volcengine/assets/groups","href":"/en/api-reference/post-api-ai-volcengine-assets-groups"},{"title":"Asset group list","deprecated":null,"version":null,"sidebarTitle":"Asset group list","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/volcengine/assets/groups","href":"/en/api-reference/get-api-ai-volcengine-assets-groups"},{"title":"Asset group details","deprecated":null,"version":null,"sidebarTitle":"Asset group details","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/volcengine/assets/groups/{groupId}","href":"/en/api-reference/get-api-ai-volcengine-assets-groups-group-id"},{"title":"Update asset group","deprecated":null,"version":null,"sidebarTitle":"Update asset group","openapi":"/openapi/en/aitoearn.openapi.json patch /api/ai/volcengine/assets/groups/{groupId}","href":"/en/api-reference/patch-api-ai-volcengine-assets-groups-group-id"},{"title":"Delete asset group","deprecated":null,"version":null,"sidebarTitle":"Delete asset group","openapi":"/openapi/en/aitoearn.openapi.json delete /api/ai/volcengine/assets/groups/{groupId}","href":"/en/api-reference/delete-api-ai-volcengine-assets-groups-group-id"},{"title":"Create asset","deprecated":null,"version":null,"sidebarTitle":"Create asset","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/volcengine/assets/items","href":"/en/api-reference/post-api-ai-volcengine-assets-items"},{"title":"Asset list","deprecated":null,"version":null,"sidebarTitle":"Asset list","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/volcengine/assets/items","href":"/en/api-reference/get-api-ai-volcengine-assets-items"},{"title":"Asset details","deprecated":null,"version":null,"sidebarTitle":"Asset details","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/volcengine/assets/items/{assetId}","href":"/en/api-reference/get-api-ai-volcengine-assets-items-asset-id"},{"title":"Update asset","deprecated":null,"version":null,"sidebarTitle":"Update asset","openapi":"/openapi/en/aitoearn.openapi.json patch /api/ai/volcengine/assets/items/{assetId}","href":"/en/api-reference/patch-api-ai-volcengine-assets-items-asset-id"},{"title":"Delete asset","deprecated":null,"version":null,"sidebarTitle":"Delete asset","openapi":"/openapi/en/aitoearn.openapi.json delete /api/ai/volcengine/assets/items/{assetId}","href":"/en/api-reference/delete-api-ai-volcengine-assets-items-asset-id"}]}]},{"group":"AI Services/Image Generation","expanded":false,"pages":[{"title":"Image Generation Models","deprecated":false,"version":null,"sidebarTitle":"Image Generation Models","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/models/image/generation","href":"/en/api-reference/get-api-ai-models-image-generation"},{"title":"Image Editing Models","description":"Returns the currently available image editing model catalog, including each model's supported sizes, maximum input image count, credit scope, and pricing. Models and parameter ranges may change as the service is updated, so use the real-time response from this endpoint when calling the image editing API.\n\nThis endpoint only queries the model catalog and does not create an image editing task. To edit an image, call the [Edit Image](/en/api-reference/post-api-ai-image-edit) endpoint.\n\nImage editing is **image-to-image**: it requires a reference image and modifies or redraws it according to the prompt. To generate a new image from text only, use the [Image Generation Models](/en/api-reference/get-api-ai-models-image-generation) endpoint and the corresponding image generation API.","deprecated":false,"version":null,"sidebarTitle":"Image Editing Models","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/models/image/edit","href":"/en/api-reference/get-api-ai-models-image-edit"},{"title":"Generate Image","deprecated":false,"version":null,"sidebarTitle":"Generate Image","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/image/generate","href":"/en/api-reference/post-api-ai-image-generate"},{"title":"Edit Image","description":"Interface description: Edit images synchronously, edit based on reference images and instructions.\n\nBefore calling this interface, please request the [\"Image Editing Models\"](/en/api-reference/get-api-ai-models-image-edit) interface (`GET /api/ai/models/image/edit`) to obtain the currently available model list and the size, maximum number of input images, and price supported by each model, and then fill in the parameters of this interface accordingly.\n\nImage editing as **image-to-image**: You must pass in the reference image `image`, and follow the prompts to modify, redraw or stylize it based on it. If you want to generate a new image (text-to-image) using only text, please use the [\"Generate Image\"](/en/api-reference/post-api-ai-image-generate) interface.\n\nIf you are already using the OpenAI SDK or ecological tools, you can use the OpenAI compatible endpoint [\"OpenAI Image Editing\"](/en/api-reference/post-api-ai-images-edits) instead.","deprecated":false,"version":null,"sidebarTitle":"Edit Image","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/image/edit","href":"/en/api-reference/post-api-ai-image-edit"},{"title":"Generate Image Async","deprecated":false,"version":null,"sidebarTitle":"Generate Image Async","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/image/generate/async","href":"/en/api-reference/post-api-ai-image-generate-async"},{"title":"Edit Image Async","deprecated":false,"version":null,"sidebarTitle":"Edit Image Async","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/image/edit/async","href":"/en/api-reference/post-api-ai-image-edit-async"},{"title":"Image Task Status","deprecated":false,"version":null,"sidebarTitle":"Image Task Status","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/image/task/{logId}","href":"/en/api-reference/get-api-ai-image-task-log-id"},{"title":"OpenAI Image Generation","deprecated":false,"version":null,"sidebarTitle":"OpenAI Image Generation","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/images/generations","href":"/en/api-reference/post-api-ai-images-generations"},{"title":"OpenAI Image Editing","deprecated":false,"version":null,"sidebarTitle":"OpenAI Image Editing","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/images/edits","href":"/en/api-reference/post-api-ai-images-edits"}]},{"group":"AI Services/Large Language Models","expanded":false,"pages":[{"title":"Chat Model List","deprecated":false,"version":null,"sidebarTitle":"Chat Model List","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/models/chat","href":"/en/api-reference/get-api-ai-models-chat"},{"title":"OpenAI Chat","deprecated":false,"version":null,"sidebarTitle":"OpenAI Chat","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/chat/completions","href":"/en/api-reference/post-api-ai-chat-completions"},{"title":"Anthropic Chat","deprecated":false,"version":null,"sidebarTitle":"Anthropic Chat","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/v1/messages","href":"/en/api-reference/post-api-ai-v1-messages"},{"title":"Gemini Chat","deprecated":false,"version":null,"sidebarTitle":"Gemini Chat","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/v1beta/models/{model}:generateContent","href":"/en/api-reference/post-api-ai-v1beta-models-model-generate-content"},{"title":"Gemini Streaming Chat","deprecated":false,"version":null,"sidebarTitle":"Gemini Streaming Chat","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/v1beta/models/{model}:streamGenerateContent","href":"/en/api-reference/post-api-ai-v1beta-models-model-stream-generate-content"}]},{"group":"AI Services/Agent","expanded":false,"pages":[{"title":"Start Chat","deprecated":null,"version":null,"sidebarTitle":"Start Chat","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/agent/chat","href":"/en/api-reference/post-api-ai-agent-chat"},{"title":"Session List","deprecated":null,"version":null,"sidebarTitle":"Session List","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/agent/sessions","href":"/en/api-reference/get-api-ai-agent-sessions"},{"title":"Session Details","deprecated":null,"version":null,"sidebarTitle":"Session Details","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/agent/sessions/{sessionId}","href":"/en/api-reference/get-api-ai-agent-sessions-session-id"},{"title":"Update Session","deprecated":null,"version":null,"sidebarTitle":"Update Session","openapi":"/openapi/en/aitoearn.openapi.json patch /api/ai/agent/sessions/{sessionId}","href":"/en/api-reference/patch-api-ai-agent-sessions-session-id"},{"title":"Delete Session","deprecated":null,"version":null,"sidebarTitle":"Delete Session","openapi":"/openapi/en/aitoearn.openapi.json delete /api/ai/agent/sessions/{sessionId}","href":"/en/api-reference/delete-api-ai-agent-sessions-session-id"},{"title":"Message list","deprecated":null,"version":null,"sidebarTitle":"Message list","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/agent/sessions/{sessionId}/messages","href":"/en/api-reference/get-api-ai-agent-sessions-session-id-messages"},{"title":"Resume Stream","deprecated":null,"version":null,"sidebarTitle":"Resume Stream","openapi":"/openapi/en/aitoearn.openapi.json get /api/ai/agent/sessions/{sessionId}/resume","href":"/en/api-reference/get-api-ai-agent-sessions-session-id-resume"},{"title":"Abort Session","deprecated":null,"version":null,"sidebarTitle":"Abort Session","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/agent/sessions/{sessionId}/abort","href":"/en/api-reference/post-api-ai-agent-sessions-session-id-abort"},{"title":"Call MCP","deprecated":null,"version":null,"sidebarTitle":"Call MCP","openapi":"/openapi/en/aitoearn.openapi.json post /api/ai/agent/mcp","href":"/en/api-reference/post-api-ai-agent-mcp"}]},{"group":"Channel Management/Accounts","expanded":false,"pages":[{"title":"Account List","deprecated":false,"version":null,"sidebarTitle":"Account List","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/accounts","href":"/en/api-reference/get-api-v2-channels-accounts"},{"title":"Batch Delete Accounts","deprecated":false,"version":null,"sidebarTitle":"Batch Delete Accounts","openapi":"/openapi/en/aitoearn.openapi.json delete /api/v2/channels/accounts","href":"/en/api-reference/delete-api-v2-channels-accounts"},{"title":"Account Details","deprecated":false,"version":null,"sidebarTitle":"Account Details","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/accounts/{accountId}","href":"/en/api-reference/get-api-v2-channels-accounts-account-id"},{"title":"Delete Account","deprecated":false,"version":null,"sidebarTitle":"Delete Account","openapi":"/openapi/en/aitoearn.openapi.json delete /api/v2/channels/accounts/{accountId}","href":"/en/api-reference/delete-api-v2-channels-accounts-account-id"},{"title":"Account Authorization Status","deprecated":false,"version":null,"sidebarTitle":"Account Authorization Status","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/accounts/{accountId}/auth-status","href":"/en/api-reference/get-api-v2-channels-accounts-account-id-auth-status"},{"title":"Publish Option Values","deprecated":false,"version":null,"sidebarTitle":"Publish Option Values","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/accounts/{accountId}/publish-options/{field}/values","href":"/en/api-reference/get-api-v2-channels-accounts-account-id-publish-options-field-values"},{"title":"Create Publish Option Value","deprecated":false,"version":null,"sidebarTitle":"Create Publish Option Value","openapi":"/openapi/en/aitoearn.openapi.json post /api/v2/channels/accounts/{accountId}/publish-options/{field}/values","href":"/en/api-reference/post-api-v2-channels-accounts-account-id-publish-options-field-values"}]},{"group":"Channel Management/Publishing","expanded":false,"pages":[{"title":"Create Publish Flow","deprecated":false,"version":null,"sidebarTitle":"Create Publish Flow","openapi":"/openapi/en/aitoearn.openapi.json post /api/v2/channels/publish/flows","href":"/en/api-reference/post-api-v2-channels-publish-flows"},{"title":"Publish Flow Details","deprecated":false,"version":null,"sidebarTitle":"Publish Flow Details","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/publish/flows/{flowId}","href":"/en/api-reference/get-api-v2-channels-publish-flows-flow-id"},{"title":"Publish Now","deprecated":false,"version":null,"sidebarTitle":"Publish Now","openapi":"/openapi/en/aitoearn.openapi.json post /api/v2/channels/publish/tasks/{taskId}/publish-now","href":"/en/api-reference/post-api-v2-channels-publish-tasks-task-id-publish-now"},{"title":"Retry Publish Task","deprecated":false,"version":null,"sidebarTitle":"Retry Publish Task","openapi":"/openapi/en/aitoearn.openapi.json post /api/v2/channels/publish/tasks/{taskId}/retry","href":"/en/api-reference/post-api-v2-channels-publish-tasks-task-id-retry"},{"title":"Cancel Publish Task","deprecated":false,"version":null,"sidebarTitle":"Cancel Publish Task","openapi":"/openapi/en/aitoearn.openapi.json delete /api/v2/channels/publish/tasks/{taskId}","href":"/en/api-reference/delete-api-v2-channels-publish-tasks-task-id"},{"title":"Update Publish Time","deprecated":false,"version":null,"sidebarTitle":"Update Publish Time","openapi":"/openapi/en/aitoearn.openapi.json patch /api/v2/channels/publish/tasks/{taskId}/publish-at","href":"/en/api-reference/patch-api-v2-channels-publish-tasks-task-id-publish-at"},{"title":"Publish Record List","deprecated":false,"version":null,"sidebarTitle":"Publish Record List","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/publish/records","href":"/en/api-reference/get-api-v2-channels-publish-records"},{"title":"Queued Publish List","deprecated":false,"version":null,"sidebarTitle":"Queued Publish List","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/publish/records/queued","href":"/en/api-reference/get-api-v2-channels-publish-records-queued"},{"title":"Published List","deprecated":false,"version":null,"sidebarTitle":"Published List","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/publish/records/published","href":"/en/api-reference/get-api-v2-channels-publish-records-published"},{"title":"Delete Publish Record","deprecated":false,"version":null,"sidebarTitle":"Delete Publish Record","openapi":"/openapi/en/aitoearn.openapi.json delete /api/v2/channels/publish/records/{recordId}","href":"/en/api-reference/delete-api-v2-channels-publish-records-record-id"},{"title":"Publish Record Details","deprecated":false,"version":null,"sidebarTitle":"Publish Record Details","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/publish/records/{recordId}","href":"/en/api-reference/get-api-v2-channels-publish-records-record-id"},{"title":"App Deep Link","deprecated":false,"version":null,"sidebarTitle":"App Deep Link","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/publish/records/{recordId}/user-action","href":"/en/api-reference/get-api-v2-channels-publish-records-record-id-user-action"},{"title":"Create Douyin Check-in","deprecated":null,"version":null,"sidebarTitle":"Create Douyin Check-in","openapi":"/openapi/en/aitoearn.openapi.json post /api/v2/channels/douyin/open/offline-qr","href":"/en/api-reference/post-api-v2-channels-douyin-open-offline-qr"},{"title":"Get REDnote Signature","deprecated":null,"version":null,"sidebarTitle":"Get REDnote Signature","openapi":"/openapi/en/aitoearn.openapi.json post /api/v2/channels/rednote/open/offline-qr/share-config","href":"/en/api-reference/post-api-v2-channels-rednote-open-offline-qr-share-config"}]},{"group":"Channel Management/Platforms","expanded":false,"pages":[{"title":"Platform List","deprecated":false,"version":null,"sidebarTitle":"Platform List","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/platforms","href":"/en/api-reference/get-api-v2-channels-platforms"},{"title":"Platform Publish Options","deprecated":false,"version":null,"sidebarTitle":"Platform Publish Options","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/platforms/{platform}/publish-options","href":"/en/api-reference/get-api-v2-channels-platforms-platform-publish-options"}]},{"group":"Channel Management/Works","expanded":false,"pages":[{"title":"Parse Work Link","deprecated":false,"version":null,"sidebarTitle":"Parse Work Link","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/works/link-info","href":"/en/api-reference/get-api-v2-channels-works-link-info"},{"title":"Work List","deprecated":false,"version":null,"sidebarTitle":"Work List","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/works/{platform}","href":"/en/api-reference/get-api-v2-channels-works-platform"},{"title":"Work Details","deprecated":false,"version":null,"sidebarTitle":"Work Details","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/works/{platform}/{platformWorkId}","href":"/en/api-reference/get-api-v2-channels-works-platform-platform-work-id"},{"title":"Work Analytics","deprecated":false,"version":null,"sidebarTitle":"Work Analytics","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/works/{platform}/{platformWorkId}/analytics","href":"/en/api-reference/get-api-v2-channels-works-platform-platform-work-id-analytics"},{"title":"Verify Work Ownership","deprecated":false,"version":null,"sidebarTitle":"Verify Work Ownership","openapi":"/openapi/en/aitoearn.openapi.json post /api/v2/channels/works/{platform}/{platformWorkId}/ownership/verify","href":"/en/api-reference/post-api-v2-channels-works-platform-platform-work-id-ownership-verify"}]},{"group":"Channel Management/Account Groups","expanded":false,"pages":[{"title":"Group List","deprecated":false,"version":null,"sidebarTitle":"Group List","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/account-groups","href":"/en/api-reference/get-api-v2-channels-account-groups"},{"title":"Create Group","deprecated":false,"version":null,"sidebarTitle":"Create Group","openapi":"/openapi/en/aitoearn.openapi.json post /api/v2/channels/account-groups","href":"/en/api-reference/post-api-v2-channels-account-groups"},{"title":"Batch Delete Groups","deprecated":false,"version":null,"sidebarTitle":"Batch Delete Groups","openapi":"/openapi/en/aitoearn.openapi.json delete /api/v2/channels/account-groups","href":"/en/api-reference/delete-api-v2-channels-account-groups"},{"title":"Update Group","deprecated":false,"version":null,"sidebarTitle":"Update Group","openapi":"/openapi/en/aitoearn.openapi.json patch /api/v2/channels/account-groups/{groupId}","href":"/en/api-reference/patch-api-v2-channels-account-groups-group-id"},{"title":"Update Account Order","deprecated":false,"version":null,"sidebarTitle":"Update Account Order","openapi":"/openapi/en/aitoearn.openapi.json patch /api/v2/channels/account-groups/{groupId}/accounts/rank","href":"/en/api-reference/patch-api-v2-channels-account-groups-group-id-accounts-rank"}]},{"group":"Channel Management/Authorization","expanded":false,"pages":[{"title":"Start Platform Authorization","deprecated":false,"version":null,"sidebarTitle":"Start Platform Authorization","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/accounts/auth/{platform}","href":"/en/api-reference/get-api-v2-channels-accounts-auth-platform"},{"title":"Get Authorization Status","deprecated":false,"version":null,"sidebarTitle":"Get Authorization Status","openapi":"/openapi/en/aitoearn.openapi.json get /api/v2/channels/accounts/auth/{platform}/status/{sessionId}","href":"/en/api-reference/get-api-v2-channels-accounts-auth-platform-status-session-id"}]},{"group":"Asset Management","expanded":false,"pages":[{"title":"Generate Upload Signature","deprecated":false,"version":null,"sidebarTitle":"Generate Upload Signature","openapi":"/openapi/en/aitoearn.openapi.json post /api/assets/uploadSign","href":"/en/api-reference/post-api-assets-upload-sign"},{"title":"Confirm Asset Upload","deprecated":false,"version":null,"sidebarTitle":"Confirm Asset Upload","openapi":"/openapi/en/aitoearn.openapi.json post /api/assets/{id}/confirm","href":"/en/api-reference/post-api-assets-id-confirm"}]},{"group":"Account \u0026 Keys/API Key","expanded":false,"pages":[{"title":"API Key usage","deprecated":null,"version":null,"sidebarTitle":"API Key usage","openapi":"/openapi/en/aitoearn.openapi.json get /api/api-key/current/usage","href":"/en/api-reference/get-api-api-key-current-usage"}]}]}]},{"tab":"Help Docs","icon":"book-open","pages":[{"title":"Help Docs","href":"/en/help"}]},{"tab":"Contributing","icon":"heart-handshake","pages":[{"title":"Contributing","href":"/en/use/contributing"}]}]}]},"basePath":"","title":"Generate Image - AiToEarn Open Platform","deploymentId":"dpl_vSEmv961Ncyvz1psVwgUnTXQMSYk","buildId":"dpl_vSEmv961Ncyvz1psVwgUnTXQMSYk","dynamics":["c2aa737661","b0f84f53ff","a9bb46feb3","2b790eda92"],"chunks":["OpenApiReferenceProvider-CrDfRf61.js","snippetPresets-Dv-cOUrx.js","utils-BUTreAgv.js","style-to-object-BY3JEAdk.js","utils-wsznt9RM.js","v4-DIgz8zy6.js","addUniqueKeysToSchema-DEsMlaPy.js","conditional-requirements-CFM0id0Q.js","cloneDeep-DontW4xJ.js","_Uint8Array-pP7X6_RM.js","isObject-FP1Yky1u.js","Page-Cr9IwkK7.js","CodeSnippet-eoRjC4Le.js","DynamicMarkdown-NFqqduU7.js","SectionHeading-DQ-mJoAt.js","icon-DXTBUt6s.js","ApiExamples-CU_aGGP0.js","usePlaygroundInputsStore-7dNmUIbS.js","shallow-fTtruD8x.js","isEqual-BRfNFpSD.js","CodeSnippets-52884wUJ.js","getApiPlaygroundDisplay-CZyAPlR2.js","MethodPill-2v-b3js5.js","getPastedJson-v_8Y1_4v.js","DuplicateIcon-DXIkhZIo.js","createIcon-DRpYuPZs.js","axios-CsQoIw0U.js","Markdown-CwtoSfEf.js","AssistantPageLink-CTqa3eoi.js","dist-DIfYWxfm.js","lib-DMeTj1gb.js","lib-B8HbPgcC.js","katex-Dbtb6Wk7.js","html-void-elements-mCSPHezU.js","marked.esm-CZWythHk.js"]}